Bug 1125035 - Get rid of all hammer-cli-import TODOs
Summary: Get rid of all hammer-cli-import TODOs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomas Lestach
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 22:55 UTC by Grant Gainey
Modified: 2015-02-06 18:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-06 18:55:46 UTC


Attachments (Terms of Use)

Description Grant Gainey 2014-07-30 22:55:03 UTC
We have a  number of TODO's - we need to to-done them

===
(master) ~/hammer-cli-import/lib/hammer_cli_import $ grep TODO *
all.rb:      # TODO: add existence-check and throw if file doesn't exist
all.rb:            # TODO: catch thrown error and skip with message
base.rb:    # TODO: Implement logic for verify
base.rb:      # TODO: This big ugly thing might need some cleanup
configfile.rb:      # TODO: this needs to be read in from .yml
importtools.rb:      # TODO: Shall be removed and in its place will come sync_repo2
importtools.rb:      # TODO: This shall replace sync_repo
repositoryenable.rb:      # TODO: persist the resulting repo-id so we don't have to look it up later
user.rb:        # TODO: Use list_server_entities
(master) ~/hammer-cli-import/lib/hammer_cli_import $ 
===

Comment 1 RHEL Product and Program Management 2014-07-30 23:13:33 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Grant Gainey 2014-08-13 13:42:07 UTC
We are now down to the following:

===
base.rb:    # TODO: Implement logic for verify
base.rb:      # TODO: This big ugly thing might need some cleanup
importtools.rb:      # TODO: Shall be removed and in its place will come sync_repo2
importtools.rb:      # TODO: This shall replace sync_repo

Comment 4 Grant Gainey 2014-08-13 14:39:02 UTC
Remaining TODOs are no longer GA issues - moving to -triage tracker and off of 6.0.4

Comment 6 Grant Gainey 2015-02-06 18:55:46 UTC
Closing - amorphous tracking BZs are one thing when doing initial dev, but not useful once released.


Note You need to log in before you can comment on or make changes to this bug.